ocaml-ulex_1.1-3+b1_i386.deb


Advertisement

Description

ocaml-ulex - OCaml lexer generator with Unicode support

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package name ocaml-ulex
Package version 1.1
Package release 3+b1
Package architecture i386
Package type deb
Installed size 124 B
Download size 28.61 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ocaml-ulex_1.1-3+b1_amd64.deb 1.1 amd64 Debian Main
ocaml-ulex - - -

Requires

Name Value
libcamlp4-ocaml-dev-io8z5 -
ocaml-findlib -
ocaml-nox-4.05.0 -

Provides

Name Value
ocaml-ulex-5zau7 -

Download

Type URL
Binary Package ocaml-ulex_1.1-3+b1_i386.deb
Source Package ulex

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ocaml-ulex deb package:
    # sudo apt-get install ocaml-ulex

Files

Path
/usr/lib/ocaml/ulex/META
/usr/lib/ocaml/ulex/pa_ulex.cma
/usr/lib/ocaml/ulex/ulexing.a
/usr/lib/ocaml/ulex/ulexing.cma
/usr/lib/ocaml/ulex/ulexing.cmi
/usr/lib/ocaml/ulex/ulexing.cmx
/usr/lib/ocaml/ulex/ulexing.cmxa
/usr/lib/ocaml/ulex/ulexing.mli
/usr/lib/ocaml/ulex/utf8.cmi
/usr/lib/ocaml/ulex/utf8.cmx
/usr/lib/ocaml/ulex/utf8.mli
/usr/share/doc/ocaml-ulex/README.gz
/usr/share/doc/ocaml-ulex/changelog.Debian.gz
/usr/share/doc/ocaml-ulex/changelog.Debian.i386.gz
/usr/share/doc/ocaml-ulex/changelog.gz
/usr/share/doc/ocaml-ulex/copyright
/var/lib/ocaml/lintian/ocaml-ulex.info
/var/lib/ocaml/md5sums/ocaml-ulex.md5sums

Changelog

2017-07-15 - St├ęphane Glondu <glondu@debian.org>
ulex (1.1-3) unstable; urgency=medium
* Add ocamlbuild to Build-Depends
2010-04-20 - St├ęphane Glondu <glondu@debian.org>
ulex (1.1-2) unstable; urgency=low
* Use dh-ocaml 0.9 for dependency generation
* Switch source package format to 3.0 (quilt)
* debian/control:
- add myself to Uploaders, remove Stefano (on his request)
- move to section ocaml
- bump Standards-Version to 3.8.4
* Refresh debian/copyright
2009-02-28 - Stefano Zacchiroli <zack@debian.org>
ulex (1.1-1) unstable; urgency=low
[ Stefano Zacchiroli ]
* New Upstream Version
* bump debhelper compatibility level to 7
* rebuild against ocaml 3.11, bump build-deps accordingly
* debian/rules: use ocaml.mk as a CDBS "rules" snippet
* debian/control: bump standards-version to 3.8.0 (no changes needed)
* debian/*.in: use specific subst var instead of make assumption over
stdlib dir layout
[ Stephane Glondu ]
* Switching packaging to git
2007-12-31 - Stefano Zacchiroli <zack@debian.org>
ulex (1.0-4) unstable; urgency=low
* modify debian/watch to grep for version numbers in the HTML, to avoid 403
errors (Closes: #450004)
2007-12-31 - Stefano Zacchiroli <zack@debian.org>
ulex (1.0-3) unstable; urgency=low
* fix vcs-svn field to point just above the debian/ dir
* update standards-version, no changes needed
* moving myself to uploaders, setting d-o-m as the maintainer
* add Homepage field to debian/control
* debian/patches/: add missing descriptions for patch install_destdir
2007-09-03 - Stefano Zacchiroli <zack@debian.org>
ulex (1.0-2) unstable; urgency=low
* debian/copyright
- update some out-of-date information about upstream author
- update license, it was wrongly described as LGPL while it is MIT
* debian/control
- bump ocaml-nox build-dep to >= 3.10.0-8 to ensure the fixed version of
the CDBS class is used
* debian/rules
- enable generation of ocamldoc API reference (delegated to CDBS)
2007-07-14 - Stefano Zacchiroli <zack@debian.org>
ulex (1.0-1) experimental; urgency=low
* new upstream release
* rebuild with ocaml 3.10
- add build-dep on camlp4 and camlp4-extra, now separate packages
- add dep on camlp4
* debian/watch
- add watch file
* debian/patches/
- rename patches to avoid sequence numbers (00list is enough) and to use
more meaningful names
- refresh patch install_destdir to match new upstream Makefile
- remove patch meta_version (no longer needed)
* bump debhelper dep and compatibility level to 5
2006-11-04 - Stefano Zacchiroli <zack@debian.org>
ulex (0.8-6) unstable; urgency=low
* debian/rules
- use ocaml.mk
* debian/control
- bumped build dependency on ocaml-nox to >= 3.09.2-7, since we now use
ocaml.mk
- fixed a typo in the long description (closes: #390226)
2006-09-06 - Stefano Zacchiroli <zack@debian.org>
ulex (0.8-5) unstable; urgency=low
* debian/rules
- removed no longer needed workaround for cdbs + dpatch
- avoid to create debian/control from debian/control.in on ocamlinit
- removed from the source package files which are generated at build time
from the corresponding .in files
* debian/control.in
- file removed, no longer needed
2006-05-16 - Stefano Zacchiroli <zack@debian.org>
ulex (0.8-4) unstable; urgency=low
* Upload to unstable.

See Also

Package Description
ocaml_4.05.0-10+b1_i386.deb ML language implementation with a class-based object system
ocamlbuild_0.11.0-3_i386.deb Build tool for building OCaml library and programs
ocamldsort_0.16.0-5+b1_i386.deb dependency sorter for OCaml source files
ocamlgraph-editor_1.8.6-1+b4_i386.deb graphical graph editor based on hyperbolic geometry
ocamlify_0.0.2-5_all.deb include files in OCaml code
ocamlmakefile_6.37.0-3_all.deb general makefile for the Objective Caml programming language
ocamlmod_0.0.9-1_i386.deb generate OCaml modules from source files
ocamlviz_1.01-2+b6_i386.deb real-time profiling tools for Objective Caml (clients)
ocamlwc_0.3-14_all.deb count the lines of code and comments in OCaml sources
ocamlweb_1.40-1_all.deb Literate programming tool for Objective Caml
occt-draw_7.3.0+dfsg1-3_i386.deb Open CASCADE Technology command interpreter and graphical test system
occt-misc_7.3.0+dfsg1-3_all.deb OCCT CAE platform shared library miscellaneous files
oce-draw_0.18.2-3_i386.deb OpenCASCADE Community Edition CAE platform shared library
ocfs2-tools-dev_1.8.5-5+b1_i386.deb tools for managing OCFS2 cluster filesystems - development files
ocfs2-tools_1.8.5-5+b1_i386.deb tools for managing OCFS2 cluster filesystems
Advertisement
Advertisement